<?php

use Illuminate\Database\Schema\Blueprint;
use Illuminate\Database\Migrations\Migration;

class CreateBoatTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('boat', function (Blueprint $table) {
            $table->increments('id');
			
            $table->string('name', 60);
			$table->date('launch');
            $table->string('maker');
            $table->string('number');
            $table->string('model');
			$table->integer('port_id');
            $table->integer('boattype_id');
            $table->softDeletes();
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::drop('boat');
    }
}
